/*
 * Copyright 2009 the Stormcat Project.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.stormcat.jvbeans.dto.child;
 
 /**
 * @author jv-beans-gen
 *
 */
public class EntryHorseInfo {

    /** 　　連番 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 1, byteLength = 3)
    private java.lang.Integer seqNo;

    /** 　　血統登録番号 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 4, byteLength = 10)
    private java.lang.String bloodRegistNo;

    /** 　　馬名 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 14, byteLength = 36)
    private java.lang.String horseName;

    /** 　　馬記号コード */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 50, byteLength = 2)
    private org.stormcat.jvbeans.config.code.HorseSignCd horseSignCd;

    /** 　　性別コード */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 52, byteLength = 1)
    private org.stormcat.jvbeans.config.code.SexCd sexCd;

    /** 　　調教師東西所属コード */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 53, byteLength = 1)
    private org.stormcat.jvbeans.config.code.EWBelongCd trainerEWBelongCd;

    /** 　　調教師コード */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 54, byteLength = 5)
    private java.lang.String trainerCd;

    /** 　　調教師名略称 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 59, byteLength = 8)
    private java.lang.String trainerNameShort;

    /** 　　負担重量 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 67, byteLength = 3, correction = 0.1f)
    private java.lang.Float loadWeight;

    /** 　　交流区分 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 70, byteLength = 1)
    private java.lang.String interchangeDiv;


    /**
     * @return 　　連番
     */
    public java.lang.Integer getSeqNo() {
        return seqNo;
    }
    
    /**
     * @param seqNo 　　連番
     */
    public void setSeqNo(java.lang.Integer seqNo) {
        this.seqNo = seqNo;
    }    
    
    /**
     * @return 　　血統登録番号
     */
    public java.lang.String getBloodRegistNo() {
        return bloodRegistNo;
    }
    
    /**
     * @param bloodRegistNo 　　血統登録番号
     */
    public void setBloodRegistNo(java.lang.String bloodRegistNo) {
        this.bloodRegistNo = bloodRegistNo;
    }    
    
    /**
     * @return 　　馬名
     */
    public java.lang.String getHorseName() {
        return horseName;
    }
    
    /**
     * @param horseName 　　馬名
     */
    public void setHorseName(java.lang.String horseName) {
        this.horseName = horseName;
    }    
    
    /**
     * @return 　　馬記号コード
     */
    public org.stormcat.jvbeans.config.code.HorseSignCd getHorseSignCd() {
        return horseSignCd;
    }
    
    /**
     * @param horseSignCd 　　馬記号コード
     */
    public void setHorseSignCd(org.stormcat.jvbeans.config.code.HorseSignCd horseSignCd) {
        this.horseSignCd = horseSignCd;
    }    
    
    /**
     * @return 　　性別コード
     */
    public org.stormcat.jvbeans.config.code.SexCd getSexCd() {
        return sexCd;
    }
    
    /**
     * @param sexCd 　　性別コード
     */
    public void setSexCd(org.stormcat.jvbeans.config.code.SexCd sexCd) {
        this.sexCd = sexCd;
    }    
    
    /**
     * @return 　　調教師東西所属コード
     */
    public org.stormcat.jvbeans.config.code.EWBelongCd getTrainerEWBelongCd() {
        return trainerEWBelongCd;
    }
    
    /**
     * @param trainerEWBelongCd 　　調教師東西所属コード
     */
    public void setTrainerEWBelongCd(org.stormcat.jvbeans.config.code.EWBelongCd trainerEWBelongCd) {
        this.trainerEWBelongCd = trainerEWBelongCd;
    }    
    
    /**
     * @return 　　調教師コード
     */
    public java.lang.String getTrainerCd() {
        return trainerCd;
    }
    
    /**
     * @param trainerCd 　　調教師コード
     */
    public void setTrainerCd(java.lang.String trainerCd) {
        this.trainerCd = trainerCd;
    }    
    
    /**
     * @return 　　調教師名略称
     */
    public java.lang.String getTrainerNameShort() {
        return trainerNameShort;
    }
    
    /**
     * @param trainerNameShort 　　調教師名略称
     */
    public void setTrainerNameShort(java.lang.String trainerNameShort) {
        this.trainerNameShort = trainerNameShort;
    }    
    
    /**
     * @return 　　負担重量
     */
    public java.lang.Float getLoadWeight() {
        return loadWeight;
    }
    
    /**
     * @param loadWeight 　　負担重量
     */
    public void setLoadWeight(java.lang.Float loadWeight) {
        this.loadWeight = loadWeight;
    }    
    
    /**
     * @return 　　交流区分
     */
    public java.lang.String getInterchangeDiv() {
        return interchangeDiv;
    }
    
    /**
     * @param interchangeDiv 　　交流区分
     */
    public void setInterchangeDiv(java.lang.String interchangeDiv) {
        this.interchangeDiv = interchangeDiv;
    }    
    
}